Bug 743044 - [Patch] Dont Nag me because I dont use gnome-keyring
[Patch] Dont Nag me because I dont use gnome-keyring
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 12:55 EDT by dex
Modified: 2011-11-20 00:31 EST (History)
7 users (show)

See Also:
Fixed In Version: kde-settings-4.7-12.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-20 00:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (819 bytes, application/octet-stream)
2011-10-03 12:55 EDT, dex
no flags Details

  None (edit)
Description dex 2011-10-03 12:55:12 EDT
Created attachment 526102 [details]
patch

Description of problem:

Every time I login /var/log/secure contains:

Oct  3 16:18:24 FedoraLive kdm: :0[10480]: PAM unable to dlopen(/lib/security/pam_gnome_keyring.so): /lib/security/pam_gnome_keyring.so: cannot open shared object file: No such file or directory
Oct  3 16:18:24 FedoraLive kdm: :0[10480]: PAM adding faulty module: /lib/security/pam_gnome_keyring.so

How reproducible:
login

Expected results:
silence

Additional info:
this is a kde box!
Comment 1 Rex Dieter 2011-10-03 13:05:19 EDT
We won't remove support for pam_gnome_keyring, doing so will break gnome-keyring-using apps from desktop sessions started by kdm.

Now, if there's some way to suppress pam complaining about *optional* pam modules, or some other way to dynamically add support for additional pam modules, then let's talk. (and feel free to re-open).
Comment 2 dex 2011-10-03 13:46:23 EDT
the patch only silences the nag, from pam docs:
4.1. Configuration file syntax
...
"If the type value from the list above is prepended with a - character the PAM library will not log to the system log if it is not possible to load the module because it is missing in the system. This can be useful especially for modules which are not always installed on the system and are not required for correct authentication and authorization of the login session."
Comment 3 Rex Dieter 2011-10-03 14:08:00 EDT
oh! I misread the patch.  Very nice, thanks!
Comment 4 Rex Dieter 2011-10-05 13:08:37 EDT
%changelog
* Wed Oct 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7-10
- don't spam syslog if pam-gnome-keyring is not present (#743044)

for rawhide, will do f16 update here shortly.
Comment 5 Fedora Update System 2011-10-12 22:11:43 EDT
kde-settings-4.7-11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kde-settings-4.7-11.fc16
Comment 6 Fedora Update System 2011-10-13 14:09:34 EDT
Package kde-settings-4.7-11.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-4.7-11.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14234
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-10-15 20:37:40 EDT
Package kde-settings-4.7-12.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-4.7-12.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14234
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-10-19 00:38:24 EDT
kde-settings-4.7-12.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Rex Dieter 2011-10-27 13:25:17 EDT
Boo, testing my f16 box now, I see adding - as suggested here doesn't seem to work as advertised (gnome-keyring doesn't work).

re-opening for now
Comment 10 Rex Dieter 2011-11-20 00:31:53 EST
closing, seems it sometimes doesn't work even with this patch reversed, something else is going on.

Note You need to log in before you can comment on or make changes to this bug.